package cn.com.ty.lift.business.emergency.dto;

import cn.com.ty.lift.common.model.PageRequest;
import cn.com.ty.lift.common.utils.Judger;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * <p>
 *     根据条件分页查询急修费用，条件封装model
 * </p>
 * @author wcz
 * @since  2019/12/5
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class CostRequest extends PageRequest {

    /**
     * 主键id
     */
    @Judger(message = "急修费用ID有误")
    private Long id;
    /**
     * 维保公司id
     */
    @Judger(message = "维保公司ID有误")
    private Long mtCompanyId;

    /**
     * 电梯id
     */
    @Judger(message = "电梯ID有误")
    private Long liftId;

    /**
     * 区域id
     */
    @Judger(message = "区域ID有误")
    private Long regionId;

    /**
     * 项目id
     */
    @Judger(message = "项目ID有误")
    private Long projectId;

    /**
     * 维保工id
     */
    @Judger(message = "维保工ID有误")
    private Long workerId;

    /**
     * 报修开始时间
     */
    private LocalDateTime repairBegin;

    /**
     * 报修结束时间
     */
    private LocalDateTime repairEnd;

    /**
     * 急修收费状态
     */
    private Integer status;
}
